%define realname    libgpio
%define version 0.0.2
%define major 2
%define release 5mdk

Summary: GPhoto IO library
Name: libgpio%major
Version: %version
Release: %release
Source0: %realname-%version.tar.bz2
Copyright: GPL
Group: System/Libraries
BuildRoot: %_tmppath/%name-buildroot
Prefix: %_prefix
Requires: libusb0.1
BuildRequires: libusb0.1-devel

%description
This is the GPhoto IO library.

%package devel
Summary: GPhoto IO library development files
Group: Development/Other
Provides: libgpio-devel
Requires: %{name} <= %{version}

%description devel
This is the GPhoto IO library.

You should install this package if you intend to develop applications with
libusb.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{realname}

%build

./autogen.sh
%configure

%make

%install
mkdir -p $RPM_BUILD_ROOT%_prefix
#install -m 644 -o 0 -g 0 gpio-*.h $RPM_BUILD_ROOT%{_includedir}/gpio/

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB ChangeLog NEWS README
%_libdir/*.so.*
%dir %_libdir/gpio/
%_libdir/gpio/*.so.*

%files devel
%defattr(-,root,root)
%_bindir/*-config
%_libdir/*.a
%_libdir/*.so
%_libdir/gpio/*.a
%_libdir/gpio/*.so
%dir %_includedir/gpio/
%_includedir/gpio/*.h

%changelog
* Wed Apr 11 2001 Stefan van der Eijk <stefan@eijk.nu> 0.0.2-5mdk
- really fix Requires

* Wed Apr 11 2001 Stefan van der Eijk <stefan@eijk.nu> 0.0.2-4mdk
- Fixed Requires & Provides

* Wed Apr 11 2001 Stefan van der Eijk <stefan@eijk.nu> 0.0.2-3mdk
- put right files in devel package

* Wed Apr 11 2001 Stefan van der Eijk <stefan@eijk.nu> 0.0.2-2mdk
- fixed Requires & BuildRequires

* Mon Nov 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.2-1mdk
- new in contribs
- macros
- used srpm from rufus t firefly <rufus.t.firefly@linux-mandrake.com>


* Wed Nov 15 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v0.0.2-1mdk (updated from CVS)
  - revamped spec file

* Thu Jul 20 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v0.0.2-0.20000720mdk

* Fri Jul 14 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v0.0.2-0.20000714mdk
  - added documentation

* Tue Jun 27 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v0.0.2-0.20000627mdk

* Thu Jun 22 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v0.0.2-0.20000622mdk (initial packaging from CVS)

